net.sf.jasperreports.charts.design

## Class JRDesignXyDataset

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBaseElementDataset
  - - net.sf.jasperreports.engine.design.JRDesignElementDataset
    - - net.sf.jasperreports.engine.design.JRDesignChartDataset
      - - net.sf.jasperreports.charts.design.JRDesignXyDataset

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRXyDataset, JRChangeEventsSupport, JRChartDataset, JRCloneable, JRElementDataset

      public class JRDesignXyDataset
      extends JRDesignChartDataset
      implements JRXyDataset

  Version:
    $Id: JRDesignXyDataset.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_XY_SERIES`

    - ### Fields inherited from class net.sf.jasperreports.engine.design.JRDesignElementDataset

      `PROPERTY_DATASET_RUN, PROPERTY_INCREMENT_GROUP, PROPERTY_INCREMENT_TYPE, PROPERTY_INCREMENT_WHEN_EXPRESSION, PROPERTY_RESET_GROUP, PROPERTY_RESET_TYPE`

    - ### Fields inherited from class net.sf.jasperreports.engine.base.JRBaseElementDataset

      `datasetRun, incrementGroup, incrementTypeValue, incrementWhenExpression, resetGroup, resetTypeValue`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRChartDataset

      `CATEGORY_DATASET, GANTT_DATASET, HIGHLOW_DATASET, PIE_DATASET, TIMEPERIOD_DATASET, TIMESERIES_DATASET, VALUE_DATASET, XY_DATASET, XYZ_DATASET`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRDesignXyDataset(JRChartDataset dataset)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addXySeries(int index, JRXySeries xySeries)`
    `void` | `addXySeries(JRXySeries xySeries)`
    `java.lang.Object` | `clone()`
    `void` | `collectExpressions(JRExpressionCollector collector)`
    `byte` | `getDatasetType()` Gets the dataset type.
    `JRXySeries[]` | `getSeries()`
    `java.util.List<JRXySeries>` | `getSeriesList()`
    `JRXySeries` | `removeXySeries(JRXySeries xySeries)`
    `void` | `validate(JRVerifier verifier)` Validates the dataset using a verifier.

    - ### Methods inherited from class net.sf.jasperreports.engine.design.JRDesignElementDataset

      `getEventSupport, setDatasetRun, setIncrementGroup, setIncrementType, setIncrementWhenExpression, setResetGroup, setResetType`

    - ### Methods inherited from class net.sf.jasperreports.engine.base.JRBaseElementDataset

      `getDatasetRun, getIncrementGroup, getIncrementTypeValue, getIncrementWhenExpression, getResetGroup, getResetTypeValue`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRElementDataset

      `getDatasetRun, getIncrementGroup, getIncrementTypeValue, getIncrementWhenExpression, getResetGroup, getResetTypeValue`

- - ### Field Detail

    - #### PROPERTY_XY_SERIES

          public static final java.lang.String PROPERTY_XY_SERIES

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JRDesignXyDataset

          public JRDesignXyDataset(JRChartDataset dataset)

  - ### Method Detail

    - #### getSeries

          public JRXySeries[] getSeries()

      Specified by:
        `getSeries` in interface `JRXyDataset`
      Returns:
        an array of `JRXySeries` objects representing the series for the XY charts.
      See Also:
        `JRXySeries`

    - #### getSeriesList

          public java.util.List<JRXySeries> getSeriesList()

    - #### addXySeries

          public void addXySeries(JRXySeries xySeries)

    - #### addXySeries

          public void addXySeries(int index,
                         JRXySeries xySeries)

    - #### removeXySeries

          public JRXySeries removeXySeries(JRXySeries xySeries)

    - #### getDatasetType

          public byte getDatasetType()

      Description copied from interface: `JRChartDataset`
      Gets the dataset type. Must be one of the dataset type constants defined in this class.
      Specified by:
        `getDatasetType` in interface `JRChartDataset`
      Overrides:
        `getDatasetType` in class `JRDesignChartDataset`

    - #### collectExpressions

          public void collectExpressions(JRExpressionCollector collector)

      Specified by:
        `collectExpressions` in interface `JRElementDataset`
      Overrides:
        `collectExpressions` in class `JRBaseElementDataset`

    - #### validate

          public void validate(JRVerifier verifier)

      Description copied from interface: `JRChartDataset`
      Validates the dataset using a verifier.

      Broken rules are collected by the verifier.

      Specified by:
        `validate` in interface `JRChartDataset`
      Parameters:
        `verifier` - the verifier to use for validation

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `JRDesignElementDataset`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com